Skip to main content
GET
/
vault
/
public_key_info
TypeScript
const response: Promise<FireblocksResponse<PublicKeyInformation>> = fireblocks.vaults.getPublicKeyInfo(vaultsApiGetPublicKeyInfoRequest);
{
  "algorithm": "MPC_ECDSA_SECP256K1",
  "derivationPath": [
    44,
    0,
    0,
    0,
    0
  ],
  "publicKey": "1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

derivationPath
string
required
algorithm
string
required
compressed
boolean

Response

Public key information

algorithm
enum<string>

Elliptic Curve

Available options:
MPC_ECDSA_SECP256K1,
MPC_ECDSA_SECP256R1,
MPC_EDDSA_ED25519
derivationPath
integer[]

BIP44 derivation path

Example:
[44, 0, 0, 0, 0]
publicKey
string

Compressed/Uncompressed public key value in hex representation

Example:

"1044c36403c1802818b472398f546a43a0d91569d5583a6e807c3825b155c7bd"